Policy Fragment - Create Or Update
Creates or updates a policy fragment.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/policyFragments/{id}?api-version=2024-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
id
|
path | True |
string minLength: 1maxLength: 80 pattern: (^[\w]+$)|(^[\w][\w\-]+[\w]$) |
A resource identifier. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
The name of the API Management service. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| If-Match |
string |
ETag of the Entity. Not required when creating an entity, but required when updating an entity. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.value | True |
string |
Contents of the policy fragment. |
| properties.description |
string minLength: 0maxLength: 1000 |
Policy fragment description. |
|
| properties.format |
Format of the policy fragment content. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The policy fragment was successfully updated. Headers
|
|
| 201 Created |
The policy fragment was successfully created. Headers
|
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ApiManagementCreatePolicy
Sample request
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyFragments/policyFragment1?api-version=2024-05-01
{
"properties": {
"format": "xml",
"description": "A policy fragment example",
"value": "<fragment><json-to-xml apply=\"always\" consider-accept-header=\"false\" /></fragment>"
}
}
Sample response
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyFragments/policyFragment1?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyFragments/policyFragment1",
"type": "Microsoft.ApiManagement/service/policyFragments",
"name": "policyFragment1",
"properties": {
"format": "xml",
"description": "A policy fragment example",
"value": "<json-to-xml apply=\"always\" consider-accept-header=\"false\" />",
"provisioningState": "InProgress"
}
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyFragments/policyFragment1?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyFragments/policyFragment1",
"type": "Microsoft.ApiManagement/service/policyFragments",
"name": "policyFragment1",
"properties": {
"format": "xml",
"description": "A policy fragment example",
"value": "<json-to-xml apply=\"always\" consider-accept-header=\"false\" />",
"provisioningState": "InProgress"
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Policy |
Format of the policy fragment content. |
|
Policy |
Policy fragment contract details. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
PolicyFragmentContentFormat
Format of the policy fragment content.
| Value | Description |
|---|---|
| xml |
The contents are inline and Content type is an XML document. |
| rawxml |
The contents are inline and Content type is a non XML encoded policy document. |
PolicyFragmentContract
Policy fragment contract details.
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| name |
string |
The name of the resource |
|
| properties.description |
string minLength: 0maxLength: 1000 |
Policy fragment description. |
|
| properties.format | xml |
Format of the policy fragment content. |
|
| properties.provisioningState |
string |
The provisioning state |
|
| properties.value |
string |
Contents of the policy fragment. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |